# FileOK
<span class="source-link">[[Source]](src/files/file.md#L24)</span>
```pony
primitive val FileOK
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/file.md#L24)</span>


```pony
new val create()
: FileOK val^
```

#### Returns

* [FileOK](files-FileOK) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/files/file.md#L25)</span>


```pony
fun box eq(
  that: FileOK val)
: Bool val
```
#### Parameters

*   that: [FileOK](files-FileOK) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/files/file.md#L25)</span>


```pony
fun box ne(
  that: FileOK val)
: Bool val
```
#### Parameters

*   that: [FileOK](files-FileOK) val

#### Returns

* [Bool](builtin-Bool) val

---

